Skip to main content
POST
/
v1
/
projects
/
{projectId}
/
slack
/
connections
/
initiate
cURL
curl -X POST \
  -H "X-API-Key: $PARTICLE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}' \
  "https://api.particle.pro/v1/projects/{projectId}/slack/connections/initiate"
{
  "authorize_url": "<string>"
}

Authorizations

X-API-Key
string
header
required

Pass your API key in the X-API-Key header (recommended).

Path Parameters

projectId
string
required

Project ID (base62-encoded).

Body

application/json
redirect_url
string
required

URL on the calling surface (platform.particle.pro / radar.particle.pro) to redirect the user's browser to after the OAuth dance completes. Must match the calling surface's host.

Required string length: 1 - 2000

Response

OK

authorize_url
string
required